curl --request PUT \
--url https://api.opal.dev/v1/resources/{resource_id}/users/{user_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"duration_minutes": 60,
"access_level_remote_id": "arn:aws:iam::590304332660:role/AdministratorAccess"
}
'import requests
url = "https://api.opal.dev/v1/resources/{resource_id}/users/{user_id}"
payload = {
"duration_minutes": 60,
"access_level_remote_id": "arn:aws:iam::590304332660:role/AdministratorAccess"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
duration_minutes: 60,
access_level_remote_id: 'arn:aws:iam::590304332660:role/AdministratorAccess'
})
};
fetch('https://api.opal.dev/v1/resources/{resource_id}/users/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"full_name": "Jake Barnes",
"user_id": "29827fb8-f2dd-4e80-9576-28e31e9934ac",
"resource_id": "1b978423-db0a-4037-a4cf-f79c60cb67b3",
"expiration_date": "2022-01-23T04:56:07.000Z",
"email": "jake@company.dev"
}Updates a user’s access level or duration on this resource.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the resource.
The ID of the user whose access is being updated.
Body
The updated duration for which the resource can be accessed (in minutes). Use 0 for indefinite.
x <= 525960120
The updated remote ID of the access level granted to this user.
"arn:aws:iam::590304332660:role/ReadOnlyAccess"
Response
The ResourceUser was successfully updated.
Resource User Object
Description
The ResourceUser object is used to represent a user with direct access to a resource.
The ID of the resource.
"1b978423-db0a-4037-a4cf-f79c60cb67b3"
The ID of the user.
"29827fb8-f2dd-4e80-9576-28e31e9934ac"
Access Level Object
Description
The AccessLevel object is used to represent the level of access that a principal has. The "default" access
level is a AccessLevel object whose fields are all empty strings.
Usage Example
View the AccessLevel of a resource/user or resource/group pair to see the level of access granted to the resource.
Show child attributes
Show child attributes
{
"access_level_name": "AdminRole",
"access_level_remote_id": "arn:aws:iam::590304332660:role/AdministratorAccess"
}
The user's full name.
"Jake Barnes"
The user's email.
"jake@company.dev"
The day and time the user's access will expire.
"2022-01-23T04:56:07.000Z"
Was this page helpful?